/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import type { Temperature } from "../../interfaces/weather/temperature.js";

export const temperatures: Array<Temperature> = [
  {
    celsius:    -18,
    emote:      "🥶",
    fahrenheit: 0,
    name:       "Frigid",
  },
  {
    celsius:    -14,
    emote:      "🐧",
    fahrenheit: 8,
    name:       "Freezing",
  },
  {
    celsius:    -4,
    emote:      "☃️",
    fahrenheit: 24,
    name:       "Cold",
  },
  {
    celsius:    2,
    emote:      "🧊",
    fahrenheit: 36,
    name:       "Chilly",
  },
  {
    celsius:    6,
    emote:      "🔷",
    fahrenheit: 44,
    name:       "Brisk",
  },
  {
    celsius:    11,
    emote:      "🆒",
    fahrenheit: 52,
    name:       "Cool",
  },
  {
    celsius:    16,
    emote:      "😐",
    fahrenheit: 61,
    name:       "Mild",
  },
  {
    celsius:    22,
    emote:      "👌",
    fahrenheit: 72,
    name:       "Perfect",
  },
  {
    celsius:    28,
    emote:      "🌡️",
    fahrenheit: 24,
    name:       "Warm",
  },
  {
    celsius:    32,
    emote:      "🌶️",
    fahrenheit: 89,
    name:       "Hot",
  },
  {
    celsius:    36,
    emote:      "🥵",
    fahrenheit: 97,
    name:       "Scorching",
  },
  {
    celsius:    38,
    emote:      "💯",
    fahrenheit: 100,
    name:       "Heat Wave",
  },
];
