/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import type { RegionName } from "./names/regionName.js";
import type { Season } from "./names/season.js";
import type { Precipitation } from "./precipitation.js";
import type { Special } from "./special.js";
import type { Temperature } from "./temperature.js";
import type { Wind } from "./wind.js";

export interface WeatherForecast {
  region:        RegionName;
  season:        Season;
  temperature:   Temperature;
  wind:          Wind;
  precipitation: Precipitation | null;
  special:       Special | null;
}
